com.jgoodies.looks.plastic.theme

## Class SkyYellow

- java.lang.Object
- - javax.swing.plaf.metal.MetalTheme
  - - javax.swing.plaf.metal.DefaultMetalTheme
    - - com.jgoodies.looks.plastic.PlasticTheme
      - - com.jgoodies.looks.plastic.theme.SkyBluer
        - - com.jgoodies.looks.plastic.theme.AbstractSkyTheme
          - - com.jgoodies.looks.plastic.theme.SkyYellow

-     public class SkyYellow
      extends AbstractSkyTheme

  A theme with yellow primary colors and a light gray window background.
  Version:
    $Revision: 1.8 $
  Author:
    Karsten Lentzsch

- - ### Field Summary

    - ### Fields inherited from class com.jgoodies.looks.plastic.PlasticTheme

      `BLACK, BRIGHTEN_START, BRIGHTEN_STOP, DARKEN_START, DARKEN_STOP, LT_BRIGHTEN_STOP, LT_DARKEN_STOP, WHITE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkyYellow()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCustomEntriesToTable(UIDefaults table)`
    `ColorUIResource` | `getFocusColor()`
    `ColorUIResource` | `getMenuItemSelectedBackground()`
    `String` | `getName()`
    `protected ColorUIResource` | `getPrimary1()`
    `protected ColorUIResource` | `getPrimary2()`
    `protected ColorUIResource` | `getPrimary3()`
    `ColorUIResource` | `getPrimaryControlShadow()`

    - ### Methods inherited from class com.jgoodies.looks.plastic.theme.AbstractSkyTheme

      `getSecondary1, getSecondary2, getSecondary3`

    - ### Methods inherited from class com.jgoodies.looks.plastic.theme.SkyBluer

      `getMenuItemSelectedForeground, getMenuSelectedBackground`

    - ### Methods inherited from class com.jgoodies.looks.plastic.PlasticTheme

      `equals, getBlack, getControlTextFont, getFontSet, getMenuForeground, getMenuItemBackground, getMenuTextFont, getSimpleInternalFrameBackground, getSimpleInternalFrameForeground, getSubTextFont, getSystemTextColor, getSystemTextFont, getTitleTextColor, getTitleTextFont, getToggleButtonCheckColor, getUserTextFont, getWhite, getWindowTitleFont, hashCode`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalTheme

      `getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getDesktopColor, getHighlightedTextColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getMenuSelectedForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getSeparatorBackground, getSeparatorForeground, getTextHighlightColor, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SkyYellow

          public SkyYellow()

  - ### Method Detail

    - #### getName

          public String getName()

      Overrides:
        `getName` in class `SkyBluer`

    - #### getPrimary1

          protected ColorUIResource getPrimary1()

      Overrides:
        `getPrimary1` in class `AbstractSkyTheme`

    - #### getPrimary2

          protected ColorUIResource getPrimary2()

      Overrides:
        `getPrimary2` in class `AbstractSkyTheme`

    - #### getPrimary3

          protected ColorUIResource getPrimary3()

      Overrides:
        `getPrimary3` in class `AbstractSkyTheme`

    - #### getFocusColor

          public ColorUIResource getFocusColor()

      Overrides:
        `getFocusColor` in class `SkyBluer`

    - #### getPrimaryControlShadow

          public ColorUIResource getPrimaryControlShadow()

      Overrides:
        `getPrimaryControlShadow` in class `AbstractSkyTheme`

    - #### getMenuItemSelectedBackground

          public ColorUIResource getMenuItemSelectedBackground()

      Overrides:
        `getMenuItemSelectedBackground` in class `AbstractSkyTheme`

    - #### addCustomEntriesToTable

          public void addCustomEntriesToTable(UIDefaults table)

      Overrides:
        `addCustomEntriesToTable` in class `AbstractSkyTheme`

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.